//
//  InterfaceController.swift
//  buttonSetEnabled WatchKit Extension
//
//  Created by yoshiyuki oshige on 2015/02/03.
//  Copyright (c) 2015年 yoshiyuki oshige. All rights reserved.
//

import WatchKit
import Foundation


class InterfaceController: WKInterfaceController {

    // ボタンをOutlet接続する
    @IBOutlet weak var myButton: WKInterfaceButton!
    
    // ボタンとAction接続する
    @IBAction func vote() {
        // ボタンを無効にする
        myButton.setEnabled(false)
        // ボタンのタイトルを変更する
        myButton.setTitle("Thank You!")
    }
    
    override func awakeWithContext(context: AnyObject?) {
        super.awakeWithContext(context)
        
        // Configure interface objects here.
    }

    override func willActivate() {
        // This method is called when watch view controller is about to be visible to user
        super.willActivate()
    }

    override func didDeactivate() {
        // This method is called when watch view controller is no longer visible
        super.didDeactivate()
    }

}
