//
//  InterfaceController.swift
//  switchAction WatchKit Extension
//
//  Created by yoshiyuki oshige on 2015/02/03.
//  Copyright (c) 2015年 yoshiyuki oshige. All rights reserved.
//

import WatchKit
import Foundation


class InterfaceController: WKInterfaceController {

    // スイッチとAction接続する
    @IBAction func tapSwitch(value: Bool) {
        // スイッチの設定値を評価する
        if value {
            println("ON")
        } else {
            println("OFF")
        }
    }
    
    override func awakeWithContext(context: AnyObject?) {
        super.awakeWithContext(context)
        // Configure interface objects here.
    }

    override func willActivate() {
        // This method is called when watch view controller is about to be visible to user
        super.willActivate()
    }

    override func didDeactivate() {
        // This method is called when watch view controller is no longer visible
        super.didDeactivate()
    }

}
