//
//  InterfaceController.swift
//  switchOn WatchKit Extension
//
//  Created by yoshiyuki oshige on 2015/02/04.
//  Copyright (c) 2015年 yoshiyuki oshige. All rights reserved.
//

import WatchKit
import Foundation


class InterfaceController: WKInterfaceController {
    // 2個のスイッチをOutlet接続する
    @IBOutlet weak var switch1: WKInterfaceSwitch!
    @IBOutlet weak var switch2: WKInterfaceSwitch!
    
    override func awakeWithContext(context: AnyObject?) {
        super.awakeWithContext(context)

        // switch1をオン、switch2をオフにする
        switch1.setOn(true)
        switch2.setOn(false)
    }

    override func willActivate() {
        // This method is called when watch view controller is about to be visible to user
        super.willActivate()
    }

    override func didDeactivate() {
        // This method is called when watch view controller is no longer visible
        super.didDeactivate()
    }

}
