//
//  InterfaceController.swift
//  switchSetEnabled WatchKit Extension
//
//  Created by yoshiyuki oshige on 2015/02/04.
//  Copyright (c) 2015年 yoshiyuki oshige. All rights reserved.
//

import WatchKit
import Foundation


class InterfaceController: WKInterfaceController {

    // スイッチをOutlet接続する
    @IBOutlet weak var switch1: WKInterfaceSwitch!
    @IBOutlet weak var switch2: WKInterfaceSwitch!
    
    // Switch1とAction接続する
    @IBAction func tapSwitchOne(value: Bool) {
        // Switch1がオンの場合にのみSwitch2が有効になる
        switch2.setEnabled(value)
    }
    
    override func awakeWithContext(context: AnyObject?) {
        super.awakeWithContext(context)
        
        // Configure interface objects here.
    }

    override func willActivate() {
        // This method is called when watch view controller is about to be visible to user
        super.willActivate()
    }

    override func didDeactivate() {
        // This method is called when watch view controller is no longer visible
        super.didDeactivate()
    }

}
