//
//  InterfaceController.swift
//  timerCountDown WatchKit Extension
//
//  Created by yoshiyuki oshige on 2015/02/17.
//  Copyright (c) 2015年 yoshiyuki oshige. All rights reserved.
//

import WatchKit
import Foundation


class InterfaceController: WKInterfaceController {
    // タイマーとOutlet接続する
    @IBOutlet weak var myTimer: WKInterfaceTimer!
    
    // STARTボタンとAction接続する
    @IBAction func timerStart() {
        // 10秒後の日時をタイマーに設定する
        let theDate = NSDate(timeIntervalSinceNow: 10)
        myTimer.setDate(theDate)
        // タイマーをスタートする
        myTimer.start()
    }
    
    override func awakeWithContext(context: AnyObject?) {
        super.awakeWithContext(context)
        
        // Configure interface objects here.
    }

    override func willActivate() {
        // This method is called when watch view controller is about to be visible to user
        super.willActivate()
    }

    override func didDeactivate() {
        // This method is called when watch view controller is no longer visible
        super.didDeactivate()
    }

}
