//
//  InterfaceController.swift
//  deviceScreenInfo WatchKit Extension
//
//  Created by yoshiyuki oshige on 2015/04/01.
//  Copyright (c) 2015年 yoshiyuki oshige. All rights reserved.
//

import WatchKit
import Foundation


class InterfaceController: WKInterfaceController {

    override func awakeWithContext(context: AnyObject?) {
        super.awakeWithContext(context)
        
        // Apple Watchを取得する
        let theWatch = WKInterfaceDevice.currentDevice()
        // スクリーンサイズを調べる
        let bounds = theWatch.screenBounds
        println(bounds)
        // スクリーンスケールを調べる
        let scale = theWatch.screenScale
        println(scale)
        // サイズカテゴリを調べる
        let sizeCategory = theWatch.preferredContentSizeCategory
        println(sizeCategory)
    }

    override func willActivate() {
        // This method is called when watch view controller is about to be visible to user
        super.willActivate()
    }

    override func didDeactivate() {
        // This method is called when watch view controller is no longer visible
        super.didDeactivate()
    }

}
