//
//  InterfaceController.swift
//  buttonSetBackgroundColor WatchKit Extension
//
//  Created by yoshiyuki oshige on 2015/02/03.
//  Copyright (c) 2015年 yoshiyuki oshige. All rights reserved.
//

import WatchKit
import Foundation


class InterfaceController: WKInterfaceController {
    // ３個のボタンをOutlet接続する
    @IBOutlet weak var myButton1: WKInterfaceButton!
    @IBOutlet weak var myButton2: WKInterfaceButton!
    @IBOutlet weak var myButton3: WKInterfaceButton!

    override func awakeWithContext(context: AnyObject?) {
        super.awakeWithContext(context)
        
        // 赤
        myButton1.setBackgroundColor(UIColor.redColor())
        // 透明
        myButton2.setBackgroundColor(UIColor.clearColor())
        // RGBAで指定した色
        let theColor = UIColor(red:30/255.0, green:180/255.0, blue:120/255.0, alpha:1.0)
        myButton3.setBackgroundColor(theColor)
        
    }

    override func willActivate() {
        // This method is called when watch view controller is about to be visible to user
        super.willActivate()
    }

    override func didDeactivate() {
        // This method is called when watch view controller is no longer visible
        super.didDeactivate()
    }

}
