//
//  InterfaceController.swift
//  buttonSetBackgroundImageNamed WatchKit Extension
//
//  Created by yoshiyuki oshige on 2015/02/03.
//  Copyright (c) 2015年 yoshiyuki oshige. All rights reserved.
//

import WatchKit
import Foundation


class InterfaceController: WKInterfaceController {
    // ボタンをOutlet接続する
    @IBOutlet weak var yesButton: WKInterfaceButton!
    @IBOutlet weak var noButton: WKInterfaceButton!
    
    override func awakeWithContext(context: AnyObject?) {
        super.awakeWithContext(context)
    
        // ボタンに背景画像を設定する
        yesButton.setBackgroundImageNamed("ballBlue")
        noButton.setBackgroundImageNamed("ballOrange") 
    }

    override func willActivate() {
        // This method is called when watch view controller is about to be visible to user
        super.willActivate()
    }

    override func didDeactivate() {
        // This method is called when watch view controller is no longer visible
        super.didDeactivate()
    }

}
