//
//  InterfaceController.swift
//  buttonSetTitle WatchKit Extension
//
//  Created by yoshiyuki oshige on 2015/01/31.
//  Copyright (c) 2015年 yoshiyuki oshige. All rights reserved.
//

import WatchKit
import Foundation


class InterfaceController: WKInterfaceController {
    // ボタンをOutlet接続して関連付ける
    @IBOutlet weak var myButton: WKInterfaceButton!

    override func awakeWithContext(context: AnyObject?) {
        super.awakeWithContext(context)
        
        // ボタンのタイトルを設定する
        myButton.setTitle("Start")
    }

    override func willActivate() {
        // This method is called when watch view controller is about to be visible to user
        super.willActivate()
    }

    override func didDeactivate() {
        // This method is called when watch view controller is no longer visible
        super.didDeactivate()
    }

}
