//
//  InterfaceController.swift
//  sliderValue WatchKit Extension
//
//  Created by yoshiyuki oshige on 2015/02/05.
//  Copyright (c) 2015年 yoshiyuki oshige. All rights reserved.
//

import WatchKit
import Foundation

class InterfaceController: WKInterfaceController {

    // ラベルとOutlet接続する
    @IBOutlet weak var valueLabel: WKInterfaceLabel!
    
    // スライダとAction接続する
    @IBAction func changedSlider(value: Float) {
        // 現在値（value）をストリングにする
        let numString = value.description
        // ラベルに表示する
        valueLabel.setText(numString)
    }
    
    override func awakeWithContext(context: AnyObject?) {
        super.awakeWithContext(context)
        
        // Configure interface objects here.
    }

    override func willActivate() {
        // This method is called when watch view controller is about to be visible to user
        super.willActivate()
    }

    override func didDeactivate() {
        // This method is called when watch view controller is no longer visible
        super.didDeactivate()
    }

}
