//
//  InterfaceController.swift
//  timerCountUp WatchKit Extension
//
//  Created by yoshiyuki oshige on 2015/02/16.
//  Copyright (c) 2015年 yoshiyuki oshige. All rights reserved.
//

import WatchKit
import Foundation


class InterfaceController: WKInterfaceController {
    // タイマーとOutlet接続する
    @IBOutlet weak var myTimer: WKInterfaceTimer!
    
    // ボタンとAction接続する
    @IBAction func startTimer() {
        // タイマーの開始時刻を現在時刻にする
        myTimer.setDate(NSDate())
        // タイマーをスタートする
        myTimer.start()
    }
    
    override func awakeWithContext(context: AnyObject?) {
        super.awakeWithContext(context)
        // Configure interface objects here.
    }

    override func willActivate() {
        // This method is called when watch view controller is about to be visible to user
        super.willActivate()
    }

    override func didDeactivate() {
        // This method is called when watch view controller is no longer visible
        super.didDeactivate()
    }

}
